[Deprecated]: v2.0

put

/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/sites/{siteId}/inventory/kits

Deprecated: Updates the status of a kit at a site. If the new status is quarantined it will generate a temperature excursion number.
Rights: OrsInventoryPost and either OrsUnblinded or OrsBlinded.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : kits
Type: array
Title: kits
Contains kit IDs.
Show Source
Example:
[
    "B1B8327AFAA6412287106192AB5984EF",
    "C36A3197FDEE433FB5547EE83DE99E4B"
]
Nested Schema : SiteUserUpdateKitsFilter
Type: object
Contains filter criteria to update kits.
Show Source
Example:
{
    "kitRange":"KIT_NUMBER:10:100",
    "searchString":"KIT",
    "inventoryStatusIds":[
        5,
        10
    ],
    "serialized":true
}
Nested Schema : inventoryStatusIds
Type: array
Title: inventoryStatusIds
List of inventory status IDs.
Show Source
Example:
[
    5,
    10
]
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : IDResponse v1.0
Type: object
Title: IDResponse v1.0
Response containing the identifier.
Show Source
Examples

400 Response

For invalid subject or inventory status or invalid transition status for, kit does not belong to site.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

404 Response

For invalid study ID or study still in design phase AND for invalid kit and study combination.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

Back to Top